Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class QueryValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.QueryValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, QueryValue, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  PmQueryValueImpl, PmQueryValueImpl

public abstract class QueryValueImpl
extends AttributeAccessImpl
implements QueryValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`QueryValueImpl()`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, getSupportedSerializerTypes, isFullyPopulated, isPopulated, makeSerializer, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.QueryValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### QueryValueImpl

    public QueryValueImpl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD